<template>
  <div class="relative">
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/asics-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <h1
          class="relative bai flex items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            class="w-10 mr-5 lg:w-20"
            viewBox="0 0 74 74"
          >
            <defs>
              <clipPath id="clip-path">
                <rect width="74" height="74" fill="none" />
              </clipPath>
            </defs>
            <g transform="translate(0 0)">
              <rect
                width="59.082"
                height="59.082"
                transform="translate(7.459 7.459)"
                fill="#c29f00"
              />
              <rect
                width="40.059"
                height="40.059"
                transform="translate(16.97 16.971)"
                fill="#ffda00"
              />
              <rect
                width="3.881"
                height="7.459"
                transform="translate(10.525 0)"
                fill="#404c57"
              />
              <rect
                width="3.881"
                height="7.459"
                transform="translate(18.702 0)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.459"
                transform="translate(26.881 0)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.459"
                transform="translate(35.059 0)"
                fill="#404c57"
              />
              <rect
                width="3.881"
                height="7.459"
                transform="translate(43.238 0)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.459"
                transform="translate(51.415 0)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.459"
                transform="translate(59.595 0)"
                fill="#404c57"
              />
              <rect
                width="3.881"
                height="7.458"
                transform="translate(10.525 66.542)"
                fill="#404c57"
              />
              <rect
                width="3.881"
                height="7.458"
                transform="translate(18.702 66.542)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.458"
                transform="translate(26.881 66.542)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.458"
                transform="translate(35.059 66.542)"
                fill="#404c57"
              />
              <rect
                width="3.881"
                height="7.458"
                transform="translate(43.238 66.542)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.458"
                transform="translate(51.415 66.542)"
                fill="#404c57"
              />
              <rect
                width="3.882"
                height="7.458"
                transform="translate(59.595 66.542)"
                fill="#404c57"
              />
              <rect
                width="7.459"
                height="3.882"
                transform="translate(66.541 10.524)"
                fill="#404c57"
              />
              <rect
                width="7.459"
                height="3.882"
                transform="translate(66.541 18.703)"
                fill="#404c57"
              />
              <rect
                width="7.459"
                height="3.881"
                transform="translate(66.541 26.881)"
                fill="#404c57"
              />
              <rect
                width="7.459"
                height="3.882"
                transform="translate(66.541 35.06)"
                fill="#404c57"
              />
              <rect
                width="7.459"
                height="3.882"
                transform="translate(66.541 43.238)"
                fill="#404c57"
              />
              <rect
                width="7.459"
                height="3.881"
                transform="translate(66.541 51.417)"
                fill="#404c57"
              />
              <rect
                width="7.459"
                height="3.881"
                transform="translate(66.541 59.595)"
                fill="#404c57"
              />
              <rect
                width="7.458"
                height="3.882"
                transform="translate(0 10.524)"
                fill="#404c57"
              />
              <rect
                width="7.458"
                height="3.882"
                transform="translate(0 18.703)"
                fill="#404c57"
              />
              <rect
                width="7.458"
                height="3.881"
                transform="translate(0 26.881)"
                fill="#404c57"
              />
              <rect
                width="7.458"
                height="3.882"
                transform="translate(0 35.06)"
                fill="#404c57"
              />
              <rect
                width="7.458"
                height="3.882"
                transform="translate(0 43.238)"
                fill="#404c57"
              />
              <rect
                width="7.458"
                height="3.881"
                transform="translate(0 51.417)"
                fill="#404c57"
              />
              <rect
                width="7.458"
                height="3.881"
                transform="translate(0 59.595)"
                fill="#404c57"
              />
              <g transform="translate(0 0)">
                <g clip-path="url(#clip-path)">
                  <path
                    d="M51.2,34.229a5.244,5.244,0,0,1,2.064,4.377,5.947,5.947,0,0,1-.282,1.9,5.44,5.44,0,0,1-.727,1.453A5.144,5.144,0,0,1,51.2,43.049a8.92,8.92,0,0,1-1.24.8,11.787,11.787,0,0,1,1.872.85,6.023,6.023,0,0,1,1.459,1.148,4.621,4.621,0,0,1,.945,1.581,6.194,6.194,0,0,1,.332,2.114,5.96,5.96,0,0,1-.616,2.764,5.625,5.625,0,0,1-1.748,2.015,8.109,8.109,0,0,1-2.73,1.232,14.019,14.019,0,0,1-3.53.416H35.159V32.625H45.612a8.887,8.887,0,0,1,5.593,1.6M48,41.709a2.708,2.708,0,0,0,1.2-2.431,2.624,2.624,0,0,0-1.047-2.23,4.989,4.989,0,0,0-3.041-.789H39.228V42.5h5.585A5.73,5.73,0,0,0,48,41.709m1.3,9.81A2.738,2.738,0,0,0,50.5,49.1a2.7,2.7,0,0,0-1.181-2.334,6.3,6.3,0,0,0-3.608-.834H39.228v6.4h6.783a5.771,5.771,0,0,0,3.292-.817"
                    transform="translate(-7.865 -7.298)"
                    fill="#fff"
                  />
                  <rect
                    width="2.635"
                    height="5.062"
                    transform="translate(31.244 21.258)"
                    fill="#fff"
                  />
                  <rect
                    width="2.635"
                    height="5.062"
                    transform="translate(36.467 21.258)"
                    fill="#fff"
                  />
                  <rect
                    width="2.635"
                    height="5.062"
                    transform="translate(31.244 47.679)"
                    fill="#fff"
                  />
                  <rect
                    width="2.635"
                    height="5.062"
                    transform="translate(36.467 47.679)"
                    fill="#fff"
                  />
                </g>
              </g>
            </g>
          </svg>

          <div class="flex flex-col items-center justify-center lg:flex-row">
            ASIC'S
          </div>
        </h1>
      </div>
    </section>

    <section class="relative py-16 bg-secondary">
      <div class="container relative px-10 mx-auto text-center">
        <div class="grid grid-cols-1 gap-8 md:grid-cols-2 lg:grid-cols-3">
          <UtilsAsicsCard
            v-for="(machine, index) in machines"
            :key="index"
            :machine="machines[index]"
          />
        </div>
      </div>
    </section>

    <div
      class="relative z-10"
      aria-labelledby="modal-title"
      role="dialog"
      aria-modal="true"
    >
      <transition
        v-if="calculatorState"
        enter-active-class="duration-300 ease-out"
        enter-from-class="opacity-0"
        enter-to-class="opacity-100"
        leave-active-class="duration-200 ease-in"
        leave-from-class="opacity-100"
        leave-to-class="opacity-0"
      >
        <div>
          <div
            class="fixed inset-0 transition-opacity bg-[#12191F] bg-opacity-50 glass"
          ></div>
          <div class="fixed inset-0 z-10 overflow-y-auto">
            <div
              class="flex items-end justify-center min-h-full p-4 text-center sm:items-center sm:p-0"
            >
              <transition
                enter-active-class="duration-300 ease-out"
                enter-from-class="translate-y-4 opacity-0 sm:translate-y-0 sm:scale-95"
                enter-to-class="translate-y-0 opacity-100 sm:scale-100"
                leave-active-class="duration-200 ease-in"
                leave-from-class="translate-y-0 opacity-100 sm:scale-100"
                leave-to-class="translate-y-4 opacity-0 sm:translate-y-0 sm:scale-95"
              >
                <div
                  class="relative w-full px-4 pt-5 pb-4 overflow-hidden text-left transition-all transform rounded-lg shadow-xl bg-[#12191F] glass bg-opacity-50 border-primary border sm:my-8 sm:max-w-5xl sm:w-full sm:p-10"
                >
                  <button
                    class="absolute top-4 right-4"
                    @click.prevent="setCalculatorState(false)"
                  >
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      class="w-6 h-6 text-white"
                      fill="none"
                      viewBox="0 0 24 24"
                      stroke="currentColor"
                      stroke-width="2"
                    >
                      <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="M6 18L18 6M6 6l12 12"
                      />
                    </svg>
                  </button>

                  <UtilsAsicsCalculator />
                </div>
              </transition>
            </div>
          </div>
        </div>
      </transition>
    </div>

    <!-- <button class="fixed flex items-center justify-center w-20 h-20 transition-all duration-300 ease-in-out border-2 rounded-full bottom-5 hover:text-primary bg-primary hover:bg-secondary border-primary right-5" @click.prevent="setCalculatorState(!calculatorState)">
      <svg xmlns="http://www.w3.org/2000/svg" class="w-12 h-12 " viewBox="0 0 20 20" fill="currentColor">
        <path fill-rule="evenodd" d="M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V4a2 2 0 00-2-2H6zm1 2a1 1 0 000 2h6a1 1 0 100-2H7zm6 7a1 1 0 011 1v3a1 1 0 11-2 0v-3a1 1 0 011-1zm-3 3a1 1 0 100 2h.01a1 1 0 100-2H10zm-4 1a1 1 0 011-1h.01a1 1 0 110 2H7a1 1 0 01-1-1zm1-4a1 1 0 100 2h.01a1 1 0 100-2H7zm2 1a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zm4-4a1 1 0 100 2h.01a1 1 0 100-2H13zM9 9a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zM7 8a1 1 0 000 2h.01a1 1 0 000-2H7z" clip-rule="evenodd" />
      </svg>
    </button> -->
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  name: 'AsicsPage',

  nuxtI18n: {
    paths: {
      en: '/mine/products/asics',
      es: '/mina/productos/asics'
    }
  },

  data() {
    return {
      machines: [
        {
          name: 'ANTMINER S9',
          manufacturer: 'BITMAIN',
          miningPower: '13.5 TH/s',
          consumption: 1375,
          powerSupply: false,
          link: '',
          algorithm: 'SHA 256 (Bitcoin)',
          text: ``,
          image: 'S9.webp',
        },
        {
          name: 'ANTMINER S19',
          manufacturer: 'BITMAIN',
          miningPower: '95 TH/s',
          consumption: 3250,
          powerSupply: false,
          link: '',
          algorithm: 'SHA 256 (Bitcoin)',
          text: ``,
          image: 'S19.webp',
        },
        {
          name: 'ANTMINER S17',
          manufacturer: 'BITMAIN',
          miningPower: '53 TH/s',
          consumption: 2094,
          powerSupply: false,
          link: '',
          algorithm: 'SHA 256 (Bitcoin)',
          text: ``,
          image: 'S17.webp',
        },
        {
          name: 'ANTMINER L3',
          manufacturer: 'BITMAIN',
          miningPower: '504 MH/s',
          consumption: 800,
          powerSupply: false,
          link: '',
          algorithm: 'Scrypt',
          text: ``,
          image: 'L3.webp',
        },
        {
          name: 'ANTMINER S19 J PRO',
          manufacturer: 'BITMAIN',
          miningPower: ' 90 TH/s',
          consumption: 3250,
          powerSupply: false,
          link: '',
          algorithm: 'SHA 256 (Bitcoin)',
          text: ``,
          image: 'S19_J_Pro.webp',
        },
        {
          name: 'WHATSMINER M20S',
          manufacturer: 'MicroBT',
          miningPower: '65 TH/s',
          consumption: 3360,
          powerSupply: true,
          algorithm: 'SHA 256 (Bitcoin)',
          link: '',
          text: ``,
          image: 'Whasminer_M20S.webp',
        },
        {
          name: 'WHATSMINER M21S',
          manufacturer: 'MicroBT',
          miningPower: '56 TH/s',
          consumption: 3360,
          powerSupply: true,
          algorithm: 'SHA 256 (Bitcoin)',
          link: '',
          text: ``,
          image: 'Whasminer_M21S.webp',
        },
        {
          name: 'WHATSAMINER M30S',
          manufacturer: 'MicroBT',
          miningPower: '86 TH/s',
          consumption: 3268,
          powerSupply: true,
          algorithm: 'SHA 256 (Bitcoin)',
          link: '',
          text: ``,
          image: 'Whasminer_M30S.webp',
        },
        {
          name: 'WHATSAMINER M30S++',
          manufacturer: 'MicroBT',
          miningPower: '112 TH/s',
          consumption: 3472,
          powerSupply: true,
          algorithm: 'SHA 256 (Bitcoin)',
          link: '',
          text: ``,
          image: 'Whasminer_M30S_plus.webp',
        },
      ],
    }
  },

  computed: {
    ...mapGetters({
      calculatorState: 'calculatorState',
      asicsSelected: 'asicsSelected',
    }),
  },

  methods: {
    ...mapActions({
      setCalculatorState: 'setCalculatorState',
      setAsicsSelection: 'setAsicsSelection',
    }),
  },
}
</script>

<style></style>
